Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 429107 - Review Request: couchdb - Couchdb is a document database server
Summary: Review Request: couchdb - Couchdb is a document database server
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mohd Izhar Firdaus Ismail
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-01-17 12:22 UTC by Ditesh Kumar
Modified: 2008-07-03 00:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-03 00:59:43 UTC


Attachments (Terms of Use)

Description Ditesh Kumar 2008-01-17 12:22:08 UTC
Spec URL: http://ditesh.gathani.org/foss/couchdb/couchdb.spec
SRPM URL: http://ditesh.gathani.org/foss/couchdb/couchdb-0.7.2-1.src.rpm
Description:

Couchdb is a document database server, accessible via a RESTful JSON API. It has an ad-hoc and schema-free with a flat address space. CouchDB is distributed, featuring robust, incremental replication with bi-directional conflict detection and management. It features a table oriented reporting engine that uses Javascript as a query language.

Comment 1 Mohd Izhar Firdaus Ismail 2008-01-17 12:54:52 UTC
rpmlint -i couchdb-0.7.2-1.src.rpm 

----
couchdb.src:28: W: rpm-buildroot-usage %build make DESTDIR=%{buildroot}
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it
will break short circuiting.
----

Suggestion: remove the DESTDIR option. And add please use the smp_mflags option
``make %{?_smp_mflags}``

--------------
couchdb.src: E: description-line-too-long Couchdb is a document database server,
accessible via a RESTful JSON API. It has
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

couchdb.src: E: description-line-too-long featuring robust, incremental
replication with bi-directional conflict detection
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.
----------

Reduce the length per line of the description to <79 characters per line. 

----------
couchdb.src: W: invalid-license GPL
The value of the License tag was not recognized.  Known values are:
"Adobe", "AFL", "AGPLv1", "AGPLv3", "AMPAS BSD", "ARL", "ASL 1.0", "ASL 1.0+",
"ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "APSL 2.0", "APSL 2.0+",
"Artistic 2.0", "Artistic clarified", "BitTorrent", "Boost", "BSD", "BSD with
advertising", "CeCILL", "CDDL", "CPL", "Condor", "Copyright only", "Cryptix",
"Crystal Stacker", "EPL", "eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "FTL",
"Giftware", "Glide", "gnuplot", "GPL+", "GPL+ or Artistic", "GPLv2+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with
exceptions", "GPLv3", "GPLv3 with exceptions", "GPLv3+", "GPLv3+ with
exceptions", "IBM", "IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI",
"Interbase", "ISC", "Jabber", "JasPer", "LGPLv2", "LGPLv2 with exceptions",
"LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff", "LPL", "LPPL", "mecab-ipadic",
"MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+", "NCSA", "NGPL", "NOSL",
"Netscape", "Nokia", "OpenLDAP", "OpenPBS", "OReilly", "OSL 1.0", "OSL 1.0+",
"OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL 3.0+",
"OpenSSL", "Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL", "Ruby",
"Sleepycat", "SISSL", "SLIB", "SPL", "TCL", "UCD", "Vim", "VNLSL", "VSL",
"W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "zlib", "CDL", "FBSDDL", "GFDL",
"IEEE", "OFSFDL", "Open Publication", "CC-BY", "CC-BY-SA", "DSL", "Free Art",
"Arphic", "Baekmuk", "Bitstream Vera", "mplus", "OFL", "STIX", "Utopia",
"XANO", "Redistributable, no modification permitted", "Freely redistributable
without restriction".
-------------
 
change the License tag to one of the license above. 


%files section:

   ``%dir /dir/name/`` includes the directory only, while ``/dir/name/``
includes the directory contents too. You can also include using wildcards to
reduce specfile complexity.

release tag:

   please append together the %{?dist} macro. eg: ``1%{?dist}``



Comment 2 Mohd Izhar Firdaus Ismail 2008-03-02 16:59:15 UTC
@ditesh

no update about this package?

Comment 3 Adam Goode 2008-07-03 00:59:43 UTC
Closed per policy:
http://fedoraproject.org/wiki/PackageMaintainers/Policy/StalledReviews


Note You need to log in before you can comment on or make changes to this bug.